Register a webhook endpoint
Register a URL to receive signed POSTs for the subscribed payment-order event types. The signing secret is returned in this response ONCE and never again — store it to verify the X-TBMC-Webhook-Signature header.
Body
required
application/json
- Type: array string[] 1…enumevent
Types const:payment_orderrequiredvalues- payment
_order
- Type: string Format: uriurlrequired
- Type: stringdescriptionmax length:500
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for post/api/v1/webhooks/endpoints
curl https://api.bettermoney.com/api/v1/webhooks/endpoints \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"url": "",
"description": "",
"eventTypes": [
"payment_order"
]
}'
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"accountId": "123e4567-e89b-12d3-a456-426614174000",
"url": "https://example.com",
"description": null,
"status": "ENABLED",
"eventTypes": [
"payment_order"
],
"consecutiveFailures": -9007199254740991,
"createdAt": "2026-09-08T20:57:50.014Z",
"updatedAt": "2026-09-08T20:57:50.014Z",
"disabledAt": null,
"deletedAt": null,
"secret": "string"
}